org.apache.tapestry5.services.meta

## Class FixedExtractor<T extends Annotation>

- java.lang.Object
- - org.apache.tapestry5.services.meta.FixedExtractor<T>

- All Implemented Interfaces:
    MetaDataExtractor<T>

      public class FixedExtractor<T extends Annotation>
      extends Object
      implements MetaDataExtractor<T>

  Implementation of `MetaDataExtractor` that is used to set a fixed value for a fixed meta-data key, when a given annotation is present.
  Since:
    5.2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FixedExtractor(String key)` Defaults the value to "true".
    `FixedExtractor(String key, String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `extractMetaData(MutableComponentModel model, T annotation)` Invoked on the extractor to extract the appropriate value for the annotation and set the meta data on the model.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixedExtractor

          public FixedExtractor(String key)

      Defaults the value to "true".

    - #### FixedExtractor

          public FixedExtractor(String key,
                                String value)

  - ### Method Detail

    - #### extractMetaData

          public void extractMetaData(MutableComponentModel model,
                                      T annotation)

      Description copied from interface: `MetaDataExtractor`
      Invoked on the extractor to extract the appropriate value for the annotation and set the meta data on the model.
      Specified by:
        `extractMetaData` in interface `MetaDataExtractor<T extends Annotation>`
      Parameters:
        `model` - on which to set meta data
        `annotation` - class annotation, from whose attributes specific data may be extracted

5.6.0 - Copyright © 2003-2020 The Apache Software Foundation.